Skip to main content
PUT
/
v1
/
addresses
/
settlement-rules
/
{ruleId}
Update settlement rule
curl --request PUT \
  --url https://api.xentfi.com/v1/addresses/settlement-rules/{ruleId} \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '{}'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "walletId": "<string>",
    "slippageTolerance": "<string>",
    "isActive": true,
    "source": {
      "blockchainId": "<string>",
      "assetIds": [
        "<string>"
      ],
      "minAmount": "<string>",
      "maxAmount": "<string>"
    },
    "destination": {
      "blockchainId": "<string>",
      "assetId": "<string>",
      "address": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

ruleId
string
required

Body

application/json
name
string
description
string
order
enum<string>
Available options:
FASTEST,
CHEAPEST,
RECOMMENDED,
NO_SLIPPAGE
slippageTolerance
string
source
object[]
destination
object
isActive
boolean

Response

Settlement rule updated

data
object
message
string